ocilib::Mutex Class Reference

Static class allowing managing mutexes. More...

`#include <ocilib.hpp>`

## Static Public Member Functions

static MutexHandle | Create ()
| Create a Mutex handle. More...
static void | Destroy (MutexHandle handle)
| Destroy a mutex handle. More...
static void | Acquire (MutexHandle handle)
| Acquire a mutex lock. More...
static void | Release (MutexHandle handle)
| Release a mutex lock. More...

## Detailed Description

Static class allowing managing mutexes.

This class wraps the OCILIB object handle OCI_Mutex and its related methods

See Threads and mutexes for more details on Oracle multi-threading support

Definition at line 1329 of file ocilib.hpp.

## Member Function Documentation

## Create()

MutexHandle ocilib::Mutex::Create | ( |  | ) |

inlinestatic

Create a Mutex handle.

Returns
  Mutex handle on success or NULL on failure

Definition at line 1240 of file ocilib_impl.hpp.

References ocilib::Check(), and OCI_MutexCreate().

Referenced by ocilib::MakeRaw().

## Destroy()

void ocilib::Mutex::Destroy | ( | MutexHandle | handle | ) |

inlinestatic

Destroy a mutex handle.

Parameters

  handle | - Mutex handle

Definition at line 1245 of file ocilib_impl.hpp.

References ocilib::Check(), and OCI_MutexFree().

Referenced by ocilib::MakeRaw().

## Acquire()

void ocilib::Mutex::Acquire | ( | MutexHandle | handle | ) |

inlinestatic

Acquire a mutex lock.

Parameters

  handle | - Mutex handle

Definition at line 1250 of file ocilib_impl.hpp.

References ocilib::Check(), and OCI_MutexAcquire().

Referenced by ocilib::MakeRaw().

## Release()

void ocilib::Mutex::Release | ( | MutexHandle | handle | ) |

inlinestatic

Release a mutex lock.

Parameters

  handle | - Mutex handle

Definition at line 1255 of file ocilib_impl.hpp.

References ocilib::Check(), and OCI_MutexRelease().

Referenced by ocilib::MakeRaw().